### GET /flows/{flowId}/queue Source: https://apidocs.agillic.net/flows/openapi Get the execution data from queued and active flows. ```markdown ### Parameters - **flowId** (string, path, required): The Flow identifier ### Responses #### 200 - OK **QueueFlowStatus** - **queued** (array (object)): A list of the queue flow specification Array items: - **agillicQueueId** (string): An optional (must-be) UNIQUE agillicQueueId. If not provided one will be generated. - **pre** (object): The Global Data Table object containing the array of records. - **tableId** (string) - **rows** (array (object)) Array items: - **empty** (boolean) - **post** (object): The Global Data Table object containing the array of records. - **active** (object): Optional agillicQueueID, Pre- and Post- GDT Bulk Updates. ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/flows/{flowId}/queue" ``` ``` -------------------------------- ### API Overview: Flows API Source: https://apidocs.agillic.net/flows/openapi OpenAPI specification version 1.0 ```yaml # Flows API # Version: 1.0 OpenAPI specification # Base URL: https://api-eu1.agillic.net ``` -------------------------------- ### POST /flows/{flowId}/recipients/{recipientId}/queueWithContext Source: https://apidocs.agillic.net/flows/openapi Queue a flow for a single recipient with context. The required context must be in the form of JSON that conforms to a pre-defined and published JSON schema. The Contextual Data is not stored in Agillic with the recipient, and is only used for this execution. Each API call is restricted to a maximum of 5Mb of data and up to 1000 unique recipients. ```markdown ### Parameters - **flowId** (string, path, required): The Flow identifier - **recipientId** (string, path, required): Recipient identifier (could be any unique Person Data like EMAIL or MOBILE) - **timeout** (integer (int32), query, optional): timeout in seconds ### Request Body **Content-Type:** application/json ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/flows/{flowId}/recipients/{recipientId}/queueWithContext?timeout=0" \ -H "Content-Type: application/json" \ -d '"string"' ``` ``` -------------------------------- ### POST /flows/{flowId}/queue Source: https://apidocs.agillic.net/flows/openapi Queue a flow with Global Data PRE and POST data for later serial execution of flow identified by {flowId}. ```markdown ### Parameters - **flowId** (string, path, required): The Flow identifier ### Request Body **Content-Type:** application/json - **agillicQueueId** (string): An optional (must-be) UNIQUE agillicQueueId. If not provided one will be generated. - **pre** (object): The Global Data Table object containing the array of records. - **tableId** (string) - **rows** (array (object)) Array items: - **empty** (boolean) - **post** (object): The Global Data Table object containing the array of records. ### Responses #### 200 - OK **QueueIdObject** - **agillicQueueId** (string) (required): The Id for later query ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/flows/{flowId}/queue" \ -H "Content-Type: application/json" \ -d '{ "agillicQueueId": "string", "pre": { "tableId": "string", "rows": [ { "empty": "true" } ] }, "post": { "tableId": "string", "rows": [ { "empty": "true" } ] } }' ``` ``` -------------------------------- ### Security: basicAuth Source: https://apidocs.agillic.net/flows/openapi Security scheme: basicAuth ```markdown ## Security: basicAuth **Description:** Security scheme: basicAuth **Type:** http **Scheme:** basic ``` -------------------------------- ### POST /flows/{flowId}/:executeWithContext Source: https://apidocs.agillic.net/flows/openapi Execute a flow for a number of recipients with context. The required context must be in the form of JSON that conforms to a pre-defined and published JSON schema. The Contextual Data is not stored in Agillic with the recipient, and is only used for this execution. Each API call is restricted to a maximum of 5Mb of data and up to 1000 unique recipients. ```markdown ### Parameters - **flowId** (string, path, required): The Flow identifier ### Request Body **Content-Type:** application/json - **name** (string) (required): The name of the uploaded Json schema that defines the context data (example: "order") - **global** (object): Context data that is defined in the schema as global_data (example: {"WEATHER":"sunny"}) - **recipients** (array (object)) (required) Array items: - **recipientId** (string) (required): Recipient identifier (could be any unique Person Data like EMAIL or MOBILE) (example: "EMAIL=blue@sweetmail.com") - **contextData** (object) (required): The context data as defined by the json schema named above (example: {"TOTAL_COST":"10.000 DKK","BONUS_POINTS":"1.000 Points","ORDER_ITEMS":[{"ORDER_ID":"1-21","PRODUCT":"21","PRICE":6.5},{"ORDER_ID":"3-21","PRODUCT":"2123","PRICE":3.5}],"RECOMMENDED_PRODUCTS":[{"PRODUCT_ID":"21","DISPLAY_NAME":"Very nice product, good price!","LINK":"someWebshopURL"}]}) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/flows/{flowId}/:executeWithContext" \ -H "Content-Type: application/json" \ -d '{ "name": "order", "global": { "WEATHER": "sunny" }, "recipients": [ { "recipientId": "EMAIL=blue@sweetmail.com", "contextData": { "TOTAL_COST": "10.000 DKK", "BONUS_POINTS": "1.000 Points", "ORDER_ITEMS": [ { "ORDER_ID": "1-21", "PRODUCT": "21", "PRICE": 6.5 }, { "ORDER_ID": "3-21", "PRODUCT": "2123", "PRICE": 3.5 } ], "RECOMMENDED_PRODUCTS": [ { "PRODUCT_ID": "21", "DISPLAY_NAME": "Very nice product, good price!", "LINK": "someWebshopURL" } ] } } ] }' ``` ``` -------------------------------- ### Schema: QueueFlowSpec Source: https://apidocs.agillic.net/flows/openapi Optional agillicQueueID, Pre- and Post- GDT Bulk Updates. ```markdown ## Schema: QueueFlowSpec Optional agillicQueueID, Pre- and Post- GDT Bulk Updates. **Type:** object - **agillicQueueId** (string): An optional (must-be) UNIQUE agillicQueueId. If not provided one will be generated. - **pre** (object): The Global Data Table object containing the array of records. - **tableId** (string) - **rows** (array (object)) Array items: - **empty** (boolean) - **post** (object): The Global Data Table object containing the array of records. ``` -------------------------------- ### POST /flows/{flowId}/:execute Source: https://apidocs.agillic.net/flows/openapi Executes flow identified by {flowId}. ```markdown ### Parameters - **flowId** (string, path, required): The Flow identifier ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/flows/{flowId}/:execute" ``` ``` -------------------------------- ### Schema: QueueFlowStatus Source: https://apidocs.agillic.net/flows/openapi List of the queued flows and possible active flow ```markdown ## Schema: QueueFlowStatus List of the queued flows and possible active flow **Type:** object - **queued** (array (object)): A list of the queue flow specification Array items: - **agillicQueueId** (string): An optional (must-be) UNIQUE agillicQueueId. If not provided one will be generated. - **pre** (object): The Global Data Table object containing the array of records. - **tableId** (string) - **rows** (array (object)) Array items: - **empty** (boolean) - **post** (object): The Global Data Table object containing the array of records. - **active** (object): Optional agillicQueueID, Pre- and Post- GDT Bulk Updates. ``` -------------------------------- ### POST /flows/{flowId}/recipients/{recipientId}/queue Source: https://apidocs.agillic.net/flows/openapi Queue a flow for a single recipient ```markdown ### Parameters - **flowId** (string, path, required): The Flow identifier - **recipientId** (string, path, required): Recipient identifier (could be any unique Person Data like EMAIL or MOBILE) - **timeout** (integer (int32), query, optional): timeout in seconds ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/flows/{flowId}/recipients/{recipientId}/queue?timeout=0" ``` ``` -------------------------------- ### Schema: Record Source: https://apidocs.agillic.net/flows/openapi The Global Data Table record object. ```markdown ## Schema: Record The Global Data Table record object. **Type:** object - **empty** (boolean) ``` -------------------------------- ### Schema: RecipientsWithContext Source: https://apidocs.agillic.net/flows/openapi Request to execute flow with context ```markdown ## Schema: RecipientsWithContext Request to execute flow with context **Type:** object - **name** (string) (required): The name of the uploaded Json schema that defines the context data (example: "order") - **global** (object): Context data that is defined in the schema as global_data (example: {"WEATHER":"sunny"}) - **recipients** (array (object)) (required) Array items: - **recipientId** (string) (required): Recipient identifier (could be any unique Person Data like EMAIL or MOBILE) (example: "EMAIL=blue@sweetmail.com") - **contextData** (object) (required): The context data as defined by the json schema named above (example: {"TOTAL_COST":"10.000 DKK","BONUS_POINTS":"1.000 Points","ORDER_ITEMS":[{"ORDER_ID":"1-21","PRODUCT":"21","PRICE":6.5},{"ORDER_ID":"3-21","PRODUCT":"2123","PRICE":3.5}],"RECOMMENDED_PRODUCTS":[{"PRODUCT_ID":"21","DISPLAY_NAME":"Very nice product, good price!","LINK":"someWebshopURL"}]}) ``` -------------------------------- ### Schema: RecipientsWithContextRecipients Source: https://apidocs.agillic.net/flows/openapi Schema definition for RecipientsWithContextRecipients ```markdown ## Schema: RecipientsWithContextRecipients Schema definition for RecipientsWithContextRecipients **Type:** object - **recipientId** (string) (required): Recipient identifier (could be any unique Person Data like EMAIL or MOBILE) (example: "EMAIL=blue@sweetmail.com") - **contextData** (object) (required): The context data as defined by the json schema named above (example: {"TOTAL_COST":"10.000 DKK","BONUS_POINTS":"1.000 Points","ORDER_ITEMS":[{"ORDER_ID":"1-21","PRODUCT":"21","PRICE":6.5},{"ORDER_ID":"3-21","PRODUCT":"2123","PRICE":3.5}],"RECOMMENDED_PRODUCTS":[{"PRODUCT_ID":"21","DISPLAY_NAME":"Very nice product, good price!","LINK":"someWebshopURL"}]}) ``` -------------------------------- ### Schema: QueueIdObject Source: https://apidocs.agillic.net/flows/openapi Defines an object for the queued Flow Spec identification ```markdown ## Schema: QueueIdObject Defines an object for the queued Flow Spec identification **Type:** object - **agillicQueueId** (string) (required): The Id for later query ``` -------------------------------- ### Schema: GlobalDataTable Source: https://apidocs.agillic.net/flows/openapi The Global Data Table object containing the array of records. ```markdown ## Schema: GlobalDataTable The Global Data Table object containing the array of records. **Type:** object - **tableId** (string) - **rows** (array (object)) Array items: - **empty** (boolean) ``` -------------------------------- ### DELETE /flows/{flowId}/queue Source: https://apidocs.agillic.net/flows/openapi Reset ALL data around queued flows, and any active flow. WARNING! This should ONLY be used in emergencies. POST Global Data Tables for the active flow will NOT be executed, as the data has been removed. ```markdown ### Parameters - **flowId** (string, path, required): The Flow identifier ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X DELETE "https://api-eu1.agillic.net/flows/{flowId}/queue" ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.